Main Page Class Hierarchy Compound List File List Compound Members Related Pages

# sc::ConnollyShape Class Reference

DiscreteConnollyShape and ConnollyShape should produce the same result. More...

`#include <molshape.h>`

Inheritance diagram for sc::ConnollyShape:

[legend]
Collaboration diagram for sc::ConnollyShape:

[legend]
List of all members.

## Public Methods

| ConnollyShape (const Ref< KeyVal > &)
| ~ConnollyShape ()
void | initialize (const Ref< Molecule > &, double probe_radius)
void | clear ()
double | distance_to_surface (const SCVector3 &r, SCVector3 *grad=0) const
void | boundingbox (double valuemin, double valuemax, SCVector3 &p1, SCVector3 &p2)

## Static Public Methods

void | print_counts (std::ostream &=ExEnv::out0())

## Detailed Description

DiscreteConnollyShape and ConnollyShape should produce the same result.

The discrete version is a shape union of discrete subshapes and is slower. These classes describe the solvent accessible surface of a molecule.

The documentation for this class was generated from the following file:

- molshape.h